QGIS Application - Bug report #1382
Attribute table doesn't refresh
2008-11-05 04:54 AM - cmoe -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No
Operating System: RedHat Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11442
Description

I guess, | have some issue found, working with the attribute table.

a) | have a line layer (shapefile) loaded. If | select a feature and open the attribute table, | get one marked row with the correct attributes to
the feature, but the whole layer isn't shown anymore in the map. A refresh of the map solves the problem then.

b) Do as in a), then: If | now select an other feature (the attribute table still open) the feature gets marked as selected in the map, but the
attribute table doesn't show the correct attributes. It still shows the attributes of the first feature, altough it unmarked it in the attributes
table.

This is very confusing. One has to be very careful not to work with wrong attributes, since the missing refresh isn't easy to see if the
attributes are similar.

Associated revisions

Revision a947a791 - 2008-11-08 08:05 PM - Jiirgen Fischer

partly fix #1377, #1382 and #1306

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9598 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 2273814 - 2008-11-08 08:05 PM - Jiirgen Fischer

partly fix #1377, #1382 and #1306

git-svn-id: http://svn.osgeo.org/qgis/trunk@9598 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-11-08 09:26 AM - Jiirgen Fischer

Replying to cmoe:

a) I have a line layer (shapefile) loaded. If | select a feature and open the attribute table, | get one marked row with the correct attributes to the

feature, but the whole layer isn't shown anymore in the map. A refresh of the map solves the problem then.

That only happens when the attribute table is docked, does it?
b) Do as in a), then: If | now select an other feature (the attribute table still open) the feature gets marked as selected in the map, but the attribute

table doesn't show the correct attributes. It still shows the attributes of the first feature, altough it unmarked it in the attributes table.

That's a duplicate of #1306. Find a patch there. It's waiting for the feature to be lifted.

#2 - 2008-11-08 11:08 AM - Jiirgen Fischer

b) should be fixed in commit:227f3814 (SVN r9599)

#3 - 2008-11-10 01:45 AM - cmoe -

a) Yes, it only happens when the attribute table is docked. | discoverd also, that if you close the attribute table right after opening it, the map reappears
without refresh.

#4 - 2009-01-02 04:03 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

Replying to [comment:3 cmoe]:

a) Yes, it only happens when the attribute table is docked. | discoverd also, that if you close the attribute table right after opening it, the map

reappears without refresh.

fixed in commit:cb2a8b5b (SVN r9920)

#5 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
